package jalview.ext.archaeopteryx;

import jalview.datamodel.SequenceI;

import java.util.Map;

/**
 * 
 * @author kjvanderheide
 *
 * @param <T>
 *          Tree object that the tree viewer requires.
 * @param <N>
 *          Tree node object that the tree viewer requires.
 */
interface ExternalTreeBuilderI<T, N>
{
  public T buildTree(N treeRoot);

  public T buildTree();

  public Map<SequenceI, N> getAlignmentBoundNodes();

  public Map<N, SequenceI> getNodesBoundAlignment();

  public String generateTreeName();

}
