package jalview.ext.forester.io;


import javax.swing.filechooser.FileFilter;

import org.forester.archaeopteryx.MainFrame;


public enum SupportedTreeFileFilter
{
  NHFILTER(MainFrame.nhfilter), NHXFILTER(MainFrame.nhxfilter),
  XMLFILTER(MainFrame.xmlfilter), TOLFILTER(MainFrame.tolfilter),
  NEXUSFILTER(MainFrame.nexusfilter);

  private final FileFilter treeFilter;

  SupportedTreeFileFilter(final FileFilter treeFilter)
  {
    this.treeFilter = treeFilter;

  }

  public void printSupportedFormats()
  {
    for (SupportedTreeFileFilter format : SupportedTreeFileFilter.values())
    {
      System.out.println(format.getTreeFilter().getDescription());
    }
  }

  public FileFilter getTreeFilter()
  {
    return treeFilter;
  }

}
